/*
   TABLES.H
   Tables application declarations.
   Copyright (c) 1999-2002 Bachmann Software and Services, LLC
   Author: Glenn Bachmann
*/

// Prevent multiple includes
#ifndef TABLES_H
#define TABLES_H

#define  TABLES_FILE_CREATOR   ('TEST')
#define  TABLES_FILE_VERSION   (0x01)
#define  TABLES_PREF_ID        (0x02)
#define  TABLES_PREF_VERSION   (0x01)

#define  PALMOS_VERSION_20 (0x02000000)

#define  PALMOS_VERSION    (PALMOS_VERSION_20)

/*
   MainFormEventHandler (EventPtr)
   Parms:   pEvent   - event to be handled.
   Return:  true  - handled (successfully or not)
            false - not handled
*/

Boolean  MainFormEventHandler (EventPtr pEvent);

#define FISH_NAME_LEN 30
#define FISH_DESC_LEN 100

// fish db functions
Boolean     FishNew ( void );
UInt16        FishGetCount ( void );
MemHandle      FishGetFish ( UInt16 index );
MemHandle  FishQueryFish ( UInt16 uRecordNum );
UInt16        FishGetNextRecordNum ( UInt16 uRecordNumStart, Int16 wRowsToSkip );
UInt16        FishGetPrevRecordNum ( UInt16 uRecordNumStart, Int16 wRowsToSkip );

void        FishReleaseFish ( void );
char *     FishGetName ( void );
void        FishSetName ( char * pName );
char *     FishGetDesc ( void );
void        FishSetDesc ( char * pName );
void        FishOpen ( void );
void        FishClose ( void );

#endif

