/*
   CATEGORY.H
   Category application declarations.
   Copyright (c) 1999 Bachmann Software and Services, LLC
   Author: Glenn Bachmann
*/

// Prevent multiple includes
#ifndef CATEGORY_H
#define CATEGORY_H

#include "PalmOS.h"

#define  CATEGORY_FILE_CREATOR   ('TEST')
#define  CATEGORY_FILE_VERSION   (0x01)
#define  CATEGORY_PREF_ID        (0x02)
#define  CATEGORY_PREF_VERSION   (0x01)

#define  PALMOS_VERSION_20 (0x02000000)

#define  PALMOS_VERSION    (PALMOS_VERSION_20)

/*
   MainFormEventHandler (EventPtr)
   Parms:   pEvent   - event to be handled.
   Return:  true  - handled (successfully or not)
            false - not handled
*/

Boolean  MainFormEventHandler (EventPtr pEvent);

// app info struct

typedef struct 
{
	UInt16 renamedCategories;
	Char categoryLabels [dmRecNumCategories]
	[dmCategoryLength];
	UInt8 categoryUniqIDs[dmRecNumCategories];
	UInt8 lastUniqID;
	UInt8 padding;
} FishAppInfo;


#define FISH_LENGTH 100

Boolean  FishNew ( void );
void     FishUpdate ( void );
UInt16   FishGetCount ( void );
Boolean  FishSelectType ( FormPtr pForm, UInt16 *pType, UInt16 wTriggerID, UInt16 wListID );
void     FishGetCurrentType ( char * pType );
MemHandle   FishGetFish ( UInt16 index );
char *  FishGetName ( void );
void     FishSetName ( char * pName );
void     FishReleaseFish ( void );
void     FishOpen ( void );
void     FishClose ( void );

#endif

