//	File:			Cond_exMon.h
//
//	Module:			Part of the cond_ex DLL
//
//	Description:	The 'CCond_exMonitor' class which controls the flow
//					of synchronization 
/////////////////////////////////////////////////////////////////////////////
#ifndef __COND_EX_MONITOR__
#define __COND_EX_MONITOR__

#include "bfields.h"
#include "basetabl.h"
#include "basemon.h"
#include "Cond_exTable.h"

// Pre-declares
class CBaseConduitMonitor;
class CCond_exTable;
class CBaseIterator;
class CCond_exRecord;
class CCategoryMgr;  
class CUpdateCategoryId;
class CBaseRecord;
class CBaseTable;

//////////////////////////////////////////////////////////////////////////////////

class CCond_exMonitor : public CBaseConduitMonitor
{
protected:
	long  EngageStandard		(void);
	long  ApplyRemotePositionMap(void); // override to diffuse
	long  CreateTable	(CBaseTable*& pBase);
	long  ConstructRecord(CBaseRecord*& pBase, 
						  CBaseTable& rtable ,
						  WORD wModAction);
	void  SetArchiveFileExt();

	// For logging purposes
	void LogRecordData			(CBaseRecord&, char*);
	void LogApplicationName		(char* appName, WORD);

public:
	CCond_exMonitor		(PROGRESSFN pFn, CSyncProperties&,
	                                             HINSTANCE hInst = NULL);  
	~CCond_exMonitor		();
};

#endif

